- Create Metric Template
- Get Metric Template
- List Metric Templates
- List Metric Template Metrics
- Update Metric Template
- Delete Metric Template
POST /api/v1/metrics/templateCreate a metric template.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a metric template.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/template/{templateId}Get one metric template by ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"NA_ADR_Completeness".string
Example:
"Completeness".string
Example:
"PENDING".string
Example:
"Business".string
Example:
"Query".string
Example:
"Parameter".string
object[]
object[]
object[]
object[]
object
integer
Example:
100.boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.integer
Example:
20.integer
Example:
100.boolean
Example:
false.boolean
Example:
true.boolean
Example:
true.boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.boolean
Example:
true.string
Example:
"0cbd2200-a4bf-430f-8a9b-d49c55be64f0".integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.object[]
string
Example:
"2026-09-21T07:05:39.764359Z".string
Example:
"6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template/{templateId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get one metric template by ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "NA_ADR_Completeness",
"dimension": "Completeness",
"status": "PENDING",
"context": "Business",
"category": "Query",
"subcategory": "Parameter",
"purpose": null,
"owner": [
{
"id": "6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d",
"name": "Ankush Guha",
"label": "Ankush Guha",
"owner_type": "Steward"
}
],
"audience": [],
"detected_parameters": [],
"properties": [],
"pass_criteria": {},
"threshold_constraint": {
"auto": [],
"mode": "auto",
"custom": [],
"manual": []
},
"weightage": 100,
"enabled_total_records": false,
"enabled_failed_rows": false,
"enabled_export_rows": false,
"column_limit": 20,
"row_limit": 100,
"is_aggregate": false,
"allow_score": true,
"auto_threshold": true,
"mute_notification": false,
"is_drift_enabled": true,
"is_positive": false,
"is_active": true,
"id": "0cbd2200-a4bf-430f-8a9b-d49c55be64f0",
"total_issue": 0,
"total_alert": 0,
"total_views": 0,
"assigned_metric_count": 0,
"segments": [],
"created_at": "2026-09-21T07:05:39.764359Z",
"created_by": "6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d"
}
}
POST /api/v1/metrics/template/listList metric templates with optional export.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"NA_ADR_Completeness".string
Example:
"Completeness".string
Example:
"PENDING".string
Example:
"Business".string
Example:
"Query".string
Example:
"Parameter".string
object[]
object[]
object[]
object[]
object
integer
Example:
100.boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.integer
Example:
20.integer
Example:
100.boolean
Example:
false.boolean
Example:
true.boolean
Example:
true.boolean
Example:
false.boolean
Example:
false.boolean
Example:
true.boolean
Example:
true.string
Example:
"0cbd2200-a4bf-430f-8a9b-d49c55be64f0".integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.object[]
string
Example:
"2026-09-21T07:05:39.764359Z".string
Example:
"6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d".integer
Example:
11.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "List metric templates with optional export.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "NA_ADR_Completeness",
"dimension": "Completeness",
"status": "PENDING",
"context": "Business",
"category": "Query",
"subcategory": "Parameter",
"purpose": null,
"owner": [
{
"id": "6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d",
"name": "Ankush Guha",
"label": "Ankush Guha",
"owner_type": "Steward"
}
],
"audience": [],
"detected_parameters": [],
"properties": [],
"pass_criteria": {},
"threshold_constraint": {
"mode": "auto",
"auto": [],
"custom": [],
"manual": []
},
"weightage": 100,
"enabled_total_records": false,
"enabled_failed_rows": false,
"enabled_export_rows": false,
"column_limit": 20,
"row_limit": 100,
"is_aggregate": false,
"allow_score": true,
"auto_threshold": true,
"mute_notification": false,
"is_drift_enabled": false,
"is_positive": true,
"is_active": true,
"id": "0cbd2200-a4bf-430f-8a9b-d49c55be64f0",
"total_issue": 0,
"total_alert": 0,
"total_views": 0,
"assigned_metric_count": 0,
"segments": [],
"created_at": "2026-09-21T07:05:39.764359Z",
"created_by": "6ddf09b8-b3a2-4bad-95b1-17a6ac5ffc9d"
}
],
"total_count": 11
}
}
GET /api/v1/metrics/template/{templateId}/metricsList metrics assigned to a template.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template/{templateId}/metrics" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "List metrics assigned to a template.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/metrics/template/{templateId}Update a metric template.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template/{templateId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a metric template.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/template/{templateId}Delete a metric template.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/template/{templateId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a metric template.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}